lua-md5_1.2+git+1+8d87fee-1.1_amd64.deb


Advertisement

Description

lua-md5 - MD5 library for the Lua language

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename lua-md5_1.2+git+1+8d87fee-1.1_amd64.deb
Package name lua-md5
Package version 1.2+git+1+8d87fee
Package release 1.1
Package architecture amd64
Package type deb
Category interpreters
Homepage https://github.com/keplerproject/md5
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 13.24 KB
Installed size 91.00 KB
This package contains a small crypto library for Lua. It comprises
the MD5 and the DES56 algorithms.

Alternatives

Package Version Architecture Repository
lua-md5_1.2+git+1+8d87fee-1.1_i386.deb 1.2+git+1+8d87fee i386 Debian Main
lua-md5 - - -

Requires

Name Value
libc6 >= 2.14

Provides

Name Value
lua5.1-md5 -
lua5.2-md5 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-md5_1.2+git+1+8d87fee-1.1_amd64.deb
Source Package lua-md5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-md5 deb package:
    # sudo apt-get install lua-md5

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-des56.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-des56.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.1-md5.so.0
/usr/lib/x86_64-linux-gnu/liblua5.1-md5.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.2-des56.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2-des56.so.0.0.0
/usr/lib/x86_64-linux-gnu/liblua5.2-md5.so.0
/usr/lib/x86_64-linux-gnu/liblua5.2-md5.so.0.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/des56.so
/usr/lib/x86_64-linux-gnu/lua/5.1/md5/core.so
/usr/lib/x86_64-linux-gnu/lua/5.2/des56.so
/usr/lib/x86_64-linux-gnu/lua/5.2/md5/core.so
/usr/share/doc/lua-md5/changelog.Debian.gz
/usr/share/doc/lua-md5/copyright
/usr/share/lua/5.1/md5.lua
/usr/share/lua/5.2/md5.lua

Changelog

2018-01-20 - Aurelien Jarno <aurel32@debian.org>
lua-md5 (1.2+git+1+8d87fee-1.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Drop explicit Pre-Depends on multiarch-support
(Closes: #870553).
2013-11-29 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.2+git+1+8d87fee-1) unstable; urgency=low
* New upstream release (plus some commit to fix 5.2 support)
* Refresh patch 
2012-04-25 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2+gitdef7fa6-1) unstable; urgency=low
* New upstream snapshot with lua5.2 support
* Packaging moved to git
* Transitional packages removed 
2012-04-25 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-6) unstable; urgency=low
* Patch to fix test
* Remove build-dependency on shake 
2012-04-25 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-5) unstable; urgency=low
* Copyright updated to format 1.0 
* Switch to dh-lua
* Packages renamed according to the new Lua policy
* Bump standards-version to 3.9.3, no changes 
* debian/compat set to 8 
* Update watch file 
2011-07-22 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-4) unstable; urgency=low
* source format 3.0 (quilt)
2011-07-20 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-3) unstable; urgency=low
* multi-arch (dh >= 8.1.3, lua5.1-policy-dev >= 32)
* bump standards-version to 3.9.2, no changes
* removed .la files
2009-07-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-2) unstable; urgency=low
* bump standards-version to 3.8.2, no changes
* build-depend on lua5.1-policy-dev >= 22
2008-05-14 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.2-1) unstable; urgency=low
* new upstream release (minor bugfixing)
* removed patch stdint (integrated upstream) 
2007-12-27 - Enrico Tassi <gareuselesinge@debian.org>
lua-md5 (1.1.1-1) unstable; urgency=low
* Initial release. (Closes: #462222)

See Also

Package Description
lua-mediator_1.1.2-0-2_all.deb Mediator pattern implementation in Lua
lua-messagepack_0.5.1-1_all.deb pure Lua implementation of MessagePack
lua-mmdb_0.1-1_all.deb IP geolocation library for Lua
lua-mode_20151025-3_all.deb Emacs mode for editing Lua programs -- transitional package
lua-moses_2.1.0-1_all.deb Utility library for functional programming in Lua
lua-mpack_1.0.7-2_amd64.deb libmpack binding for the Lua language
lua-nginx-cookie_0.1.0-1_all.deb Pure Lua cookie parser for the nginx embedded Lua language
lua-nginx-dns_0.20-1_all.deb DNS resolver for the nginx embedded Lua language
lua-nginx-kafka_0.06-1_all.deb Pure Lua Kafka producer for the nginx embedded Lua language
lua-nginx-memcached_0.14-1_all.deb Pure Lua memcached client driver for the nginx embedded Lua language
lua-nginx-redis-connector_0.06-1_all.deb Connection utilities for lua-nginx-redis
lua-nginx-redis_0.27~rc1-1_all.deb Pure Lua redis client driver for the nginx embedded Lua language
lua-nginx-string_0.11-1_all.deb String utilities for the nginx embedded Lua language
lua-nginx-websocket_0.06-1_all.deb Lua websocket client driver for the nginx embedded Lua language
lua-nvim-dev_0.1.0-1-2_amd64.deb Lua client for Neovim
Advertisement
Advertisement